package com.kroud.swing.jpa.repository;

import com.kroud.swing.jpa.model.JournalEntry;
import com.kroud.swing.jpa.model.Patient;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface PatientRepository extends JpaRepository<Patient, Long> {
    Optional<Patient> findById(Long id);
    Optional<Patient> findByName(String id);

}
